<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="RDS" 
Name="EXPORT_FRLLO_RECIPE_DATA" 
Description="Выгруженные в ФРЛЛО данные по рецептам" 
PrimaryKey="ExportFrlloRecipeDataID">
  <Fields>
    <Attribute Name="ExportFrlloRecipeDataID" Type="guid" Description="Идентификатор" />
    <Parent Name="ExportFrlloRecipe" Type="RDS.EXPORT_FRLLO_RECIPE" Description="Выгрузка данных в ФРЛЛО" Required="1" />
    <Attribute Name="ObjId" Type="guid" Description="Идентификатор выгруженного обьекта" Required="1" />
    <Attribute Name="FileNumber" Type="int" Description="Номер файла" Required="1" />
    <Attribute Name="FrlloId" Type="string" Description="Идентификатор в ФРЛЛО" CharacterMaximumLength="100" />
    <Choice Name="FrlloStatus" Description="Статус ФРЛЛО">
      <Item Name="200 - успешно" Index="200" />
      <Item Name="208 - уже сообщалось" Index="208" />
      <Item Name="400 - ошибка" Index="400" />
      <Item Name="Валидация XSD" Index="1" />
    </Choice>
    <Attribute Name="FrlloError" Type="text" Description="Ошибка в ФРЛЛО" />
    <Attribute Name="FrlloRecipe_id" Type="string" Description="Идентификатор созданного или обновленного назначения" CharacterMaximumLength="100" />
    <Parent Name="Recipe" Type="RDS.RECIPE" Description="Рецепт" />
    <Parent Name="RecipeElement" Type="RDS.RECIPE_ELEMENT" Description="Элемент отпущенного рецепта" />
    <Choice Name="RecipeType" Description="Тип рецепта" Required="1">
      <Item Name="Выписка" Index="0" />
      <Item Name="Реализация" Index="1" />
      <Item Name="Отмена выписки" Index="2" />
      <Item Name="Отмена реализации" Index="3" />
    </Choice>
  </Fields>
  <DbMapping>
    <Table name="T_EXPORT_FRLLO_RECIPE_DATA">
      <Map Name="ExportFrlloRecipeDataID" Column="ExportFrlloRecipeDataID" />
      <Map Name="ExportFrlloRecipe" Column="ExportFrlloRecipe" />
      <Map Name="ObjId" Column="ObjId" />
      <Map Name="FileNumber" Column="FileNumber" />
      <Map Name="FrlloId" Column="FrlloId" />
      <Map Name="FrlloStatus" Column="FrlloStatus" />
      <Map Name="FrlloError" Column="FrlloError" />
      <Map Name="FrlloRecipe_id" Column="FrlloRecipe_id" />
      <Map Name="Recipe" Column="ObjId" IsStored="0" />
      <Map Name="RecipeElement" Column="ObjId" IsStored="0" />
      <Map Name="RecipeType" Column="RecipeType" />
    </Table>
  </DbMapping>
</Entity>